export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: './user/Login',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/welcome',
    name: '工作台',
    icon: 'smile',
    component: './Welcome',
  },
  {
    path: '/admin',
    name: 'admin',
    icon: 'crown',
    access: 'canAdmin',
    component: './Admin',
    routes: [
      {
        path: '/admin/sub-page',
        name: 'sub-page',
        icon: 'smile',
        component: './Welcome',
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/PlatformMessageManagement',
    name: '消息管理',
    icon: 'crown',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/PlatformMessageManagement/MessageManageList',
        name: '平台消息管理',
        icon: 'smile',
        component: './PlatformMessageManagement/MessageManageList',
      },
      {
        path: '/PlatformMessageManagement/MessageEdit',
        name: '消息查看',
        component: './PlatformMessageManagement/MessageEdit',
        hideInMenu: true,
      },
    ],
  },

  {
    path: '/Machinery',
    name: '农机管理',
    icon: 'InsertRowLeftOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/Machinery/Cooperative',
        name: '合作社列表',
        component: './Machinery/Cooperative',
      },
      {
        path: '/Machinery/Cooperative/edit.jsx',
        name: '合作社编辑',
        component: './Machinery/Cooperative/edit.jsx',
        // hideInMenu: true,
      },
      {
        path: '/Machinery/Employees',
        name: '员工列表',
        component: './Machinery/Employees',
      },
      {
        path: '/Machinery/Employees/edit.jsx',
        name: '员工编辑',
        component: './Machinery/Employees/edit.jsx',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/MonitoringScreen',
    name: '农机监控大屏',
    icon: 'InsertRowLeftOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/MonitoringScreen/index.jsx',
        name: '农机监控大屏',
        component: './MonitoringScreen',
      },
      {
        path: '/MonitoringScreen/detail.jsx',
        name: '农机轨迹',
        component: './MonitoringScreen/detail.jsx',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/MachineryGIS',
    name: '农机GIS',
    icon: 'InsertRowLeftOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/MachineryGIS/index.jsx',
        name: '农机GIS',
        component: './MachineryGIS',
      },
    ],
  },
  {
    path: '/OrderManage',
    name: '订单调度',
    icon: 'InsertRowLeftOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/OrderManage/index.jsx',
        name: '订单调度',
        component: './OrderManage',
      },
    ],
  },
  {
    path: '/JobWarning',
    name: '作业预警',
    icon: 'InsertRowLeftOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/JobWarning/index.jsx',
        name: '作业预警',
        component: './JobWarning',
      },
    ],
  },
  {
    path: '/JobStatistics',
    name: '作业统计',
    icon: 'InsertRowLeftOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/JobStatistics/Machinery',
        name: '农机统计',
        component: './JobStatistics/Machinery',
      },
      {
        path: '/JobStatistics/Order',
        name: '订单统计',
        component: './JobStatistics/Order',
      },
      {
        path: '/JobStatistics/RevenueExpenditure',
        name: '收支统计',
        component: './JobStatistics/RevenueExpenditure',
      },
    ],
  },
  {
    path: '/Finance',
    name: '财务管理',
    icon: 'InsertRowLeftOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/Finance/AccountLog',
        name: '平台流水',
        component: './Finance/AccountLog',
      },
      {
        path: '/Finance/Withdrawal',
        name: '提现管理',
        component: './Finance/Withdrawal',
      },
    ],
  },
  {
    path: '/SystemManagement',
    name: '系统管理',
    icon: 'crown',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/SystemManagement/Administrator',
        name: '管理员',
        icon: 'smile',
        component: './SystemManagement/Administrator',
      },
      {
        path: '/SystemManagement/Administrator/AdminEdit',
        name: '管理员编辑页',
        icon: 'smile',
        component: './SystemManagement/Administrator/AdminEdit',
        hideInMenu: true,

      },
      {
        path: '/SystemManagement/UserRights',
        name: '角色权限',
        component: './SystemManagement/UserRights',
      },
      {
        path: '/SystemManagement/BasicParameters',
        name: '基本参数',
        component: './SystemManagement/BasicParameters',
      },
      {
        path: '/SystemManagement/MapExtent',
        name: '区域设置',
        component: './SystemManagement/MapExtent',
        // hideInMenu: true
      },
      {
        path: '/SystemManagement/Agreement',
        name: '协议对接',
        component: './SystemManagement/Agreement',
        // hideInMenu: true
      },
    ],
  },
  {
    path: '/',
    redirect: '/welcome',
  },
  {
    component: './404',
  },
];
