import React from 'react';
import { history, Link } from 'umi';
import { Button, Popconfirm, message, Tooltip } from 'antd';
// import { getPersonList, exportPersonList } from '@/services/person';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import moment from 'moment';
import PageTable from '@/components/PageTable';

const formatterTime = (val) => {
  return val ? moment(val).format('YYYY-MM-DD HH:mm:ss') : '';
};

export default (props) => {
  const columns = [
    {
      title: '姓名',
      dataIndex: 'name',
      key: 'name',
    },
    {
      title: '手机号',
      dataIndex: 'phone',
      key: 'phone',
    },
    {
      title: '所属机构',
      dataIndex: 'title',
      key: 'title',
    },
    {
      title: '角色',
      dataIndex: 'role',
      key: 'role',
    },
    {
      title: '注册时间',
      dataIndex: 'createData',
      key: 'createData',
    },
    {
      title: '操作',
      valueType: 'option',
      render: (_, record) => [
        <Link key={1} to={`./edit.jsx`}>
          编辑
        </Link>,
        <Popconfirm
          key={2}
          title="您是否确认删除 ?"
          onConfirm={() => handleDelete(record.cooperativeId)}
          okText="确定"
          cancelText="取消"
        >
          <a href="#">删除</a>
        </Popconfirm>,
      ],
    },
  ];
  const handleDelete = () => {};
  return (
    <PageHeaderWrapper>
      <PageTable
        // request={getPersonList}
        // expfunc={exportPersonList}
        columns={columns}
        rowKey="employeesId"
        options={false}
        scroll={{ x: 1000 }}
      />
    </PageHeaderWrapper>
  );
};
